jwt_value_t(3)

NAME
jwt_value_t - Data type for get and set actions for JWT headers and claims.

SYNOPSIS

  Data Fields

jwt_value_type_t type
const char * name
union {
jwt_long_t int_val
const char * str_val
int bool_val
char * json_val
};
int replace
int pretty
jwt_value_error_t error

Detailed Description

Data type for get and set actions for JWT headers and claims.

This is used for both set and get requests. Specific rules for each type is described in more detail for the set and get requests.

Note
    There are helper macros to simplify setting this structure properly and reducing common mistakes. See the jwt_set_{SET,GET}_{INT,STR,BOOL,JSON} definitions.

Field Documentation

  union { ... } jwt_value_t

  int jwt_value_t::bool_val

  jwt_value_error_t jwt_value_t::error

  jwt_long_t jwt_value_t::int_val

  char* jwt_value_t::json_val

  const char* jwt_value_t::name

  int jwt_value_t::pretty

  int jwt_value_t::replace

  const char* jwt_value_t::str_val

  jwt_value_type_t jwt_value_t::type

Author

Generated automatically by Doxygen for LibJWT from the source code.